#ifndef __COMMON_SESSION_H__
#define __COMMON_SESSION_H__
#include <iostream>

namespace ai
{

	class Tensor
	{
	public:
		virtual ~Tensor() {}
	};

	class Session
	{
	public:
		virtual ~Session() {}

		virtual const std::map<std::string, std::vector<int>> &getInputShapes() const = 0;
		virtual const std::map<std::string, std::vector<int>> &getOutputShapes() const = 0;
	};
}

#endif
