const os = require("os");
const path = require("path");
const { execSync, spawnSync, exec } = require("child_process");

const args = process.argv.slice(2);

const cmakeJS = path.join(__dirname, "../node_modules/.bin/cmake-js")


function runCmakeJS(args) {
	const child = exec(`${cmakeJS} ${args.join(" ")}`, (err, stdout, stderr) => console.log(stdout));
	child.once("close", code => process.exit(code));
}

if (args.includes("--include")) runCmakeJS(["print-cmakejs-include"]);
else if (args.includes("--src")) runCmakeJS(["print-cmakejs-src"]);
else if (args.includes("--lib")) runCmakeJS(["print-cmakejs-lib"]);
else if (args.includes("--napi")) console.log(require("node-addon-api").include.replace(/^"/, "").replace(/"$/, ""));